from pyrogram import filters
from pyrogram.client import Client
from pyrogram.types import Message

from classes.pyroclient import PyroClient
from modules import custom_filters


@Client.on_message(
    custom_filters.mode_submit
    & ~filters.scheduled
    & filters.command(["start"], prefixes="/")
)
async def cmd_start(app: PyroClient, message: Message):
    user = await app.find_user(message.from_user)

    if user.banned:
        return

    await message.reply_text(app._("start", "message", locale=user.locale))


@Client.on_message(
    custom_filters.mode_submit
    & ~filters.scheduled
    & filters.command(["rules", "help"], prefixes="/")
)
async def cmd_rules(app: PyroClient, message: Message):
    user = await app.find_user(message.from_user)

    if user.banned:
        return

    await message.reply_text(app._("rules", "message", locale=user.locale))
